1. Customs
  • Introduction
  • Getting Started
  • Authentication
  • Error Handling
  • Contact Support
  • Modaltrans API
    • Get Auth Token
      • Get Bearer Token
    • Accounting
      • Invoices
        • Retrieve an Invoice
        • List all Invoices
      • Invoice Items
        • List all Invoice Items
        • Deleted Invoice Items
      • Financials
        • Retrieve Financial Information
    • Customs
      • NCTS Declarations
        • List all NCTS Declarations
        • Retrieve an NCTS Declaration
        • Create an NCTS Declaration with XML Data
        • Update an NCTS Declaration
        • Download an NCTS Declaration
        • List Timelines of NCTS Declaration
        • List Messages of NCTS Decalaration
      • Customs Declarations
        • List all Customs Declarations
        • Retrieve a Custom Declaration
        • Create a Customs Declaration
        • Update a Custom Declaration
        • Delete a Custom Declaration
        • Retrieve a Declaration History
        • Retrieve an MRN Status of Declaration
      • Declaration Requests
        • List all Declaration Orders
        • Retrieve a Declaration Request
        • Create a Declaration Request
        • Update a Declaration Request
        • Delete a Declaration Request
      • Ens Declarations
        • Create an Ens Declaration
        • Download an Ens Declaration
    • Logistics
      • Bookings
        • Retrieve a Booking
        • List all Bookings
        • Create a Booking
        • Update a Booking
      • Locations
        • List all Locations
        • Retrieve a Location
      • Positions
        • Update a Transport
        • Get All Positions
        • Retrieve a Position
      • Tracking
        • Available Shipping Lines
        • Retrieve a Tracking Data
        • Subscribe to Tracking
      • Shipments
        • Retrieve a Shipment
        • List All Shipments
        • Retrieve Financials of Shipment
        • List Contacts of the Shipment
        • Create a Shipment
        • Update a Shipment
    • Depot
      • Orders
        • Retrieve an Order
        • List all Orders
        • Create an Order
        • Update an Order
      • Products
        • Retrieve a Product
        • List all Products
        • Create a Product
        • Update a Product
        • List Product Stocks
      • Inventories
        • List all Inventories
    • Fleet Management
      • Drivers
        • Retrieve a Driver
        • Retrieve a Driver's Vehicle
        • List Driver Positions
        • Update a Driver
      • Vehicles
        • Retrieve a Vehicle
        • Update a Vehicle
      • Gps Service Controller
        • Create Gps Responses
      • Service Logs
        • List all Service Logs
        • Retrieve a Service Log
        • Create a Service Log
        • Delete a Service Log
        • Update a Service Log
      • Periodic Documents
        • Retrieve a Periodic Document
        • Update a Periodic Document
        • Create a Periodic Document
    • CRM
      • Companies
        • List all Companies
        • Retrieve a Company
        • Create a Company
        • Update a Company
        • Delete a Company
        • List Company Credit Limits
      • Quotes
        • Retrieve a Quote
        • List All Quotes
        • Update a Quote
        • Create a Quote
        • Accept a Quote
        • Reject a Quote
    • Timelines
      • Retrieve a Timeline
      • List Timelines
      • Create a Timeline
    • S3 Files
      • List all S3Files
      • Create an S3File
      • Delete an S3File
    • Notifications
      • List all Notifications
      • Update a Notification Status
    • User Details
      • List User Details
      • Update User Details
    • Milestones
      • Retrieve a Milestone
      • List Milestones
      • Create a Milestone
      • Delete a Milestone
      • Update a Milestone
  • Webhooks
    • Webhooks
    • Trackings
      • Tracking Webhooks
      • Sea
        • Sea Tracking Event Created
        • Sea Tracking Event Updated
      • Air
        • Air Tracking Event Created
        • Air Tracking Event Updated
    • Customs
      • Customs Declaration Status Changed
      • NCTS Declaration Status Changed
      • ENS Declaration Status Changed
      • GVMS Declaration Status Changed
  1. Customs

GVMS Declaration Status Changed

Developing
Webhook
POST
Sent when the status of one of your GVMS goods movement records changes.

Request

Header Params

Body Params application/json

Example
{
  "webhookId": 12,
  "eventName": "gvms_declarations/status_changed",
  "deliveryId": "c7d3a1e9-5b28-4f6c-9e04-1a8b3d7c5f92",
  "eventKey": "3a9f5c1e-7d2b-5f4a-b8c6-2e0d9a4f7c31",
  "sentAt": "2026-10-09T10:42:17Z",
  "recordType": "gvms_declarations",
  "previousStatus": "sent",
  "status": "OPEN",
  "data": [
    {
      "transaction_id": 600321,
      "transaction_reference": "GVM2610000321",
      "status": "OPEN",
      "error_msg": null,
      "gmr": "GMRA0012ABC3",
      "direction": "UK_OUTBOUND",
      "originPortCode": "GBDVR",
      "destinationPortCode": "FRCQF",
      "ferryOperatorCode": "DFDS",
      "docDate": "2026-10-09",
      "vehicleCode": "AB12CDE",
      "trailerCode": "TR12345",
      "trailer2Code": null,
      "containerNo": null,
      "container2No": null,
      "contractType": "rented",
      "accompanying": true,
      "hasGoods": true,
      "masterDeclaration": null,
      "traderRef": "SHP-2026-0321",
      "notificationEmail": "ops@example.com",
      "notifiedTel": null,
      "customerId": 104512,
      "declarations": [
        {
          "docType": "EXPORT",
          "docNo": "6GB123456789000-SHP20260321",
          "masterRef": "26GB0000000032112"
        }
      ]
    }
  ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'X-Modaltrans-Signature: sha256=d55e674078099a696aebbcb1c4e0094a938fd7902667c8d06de366bcdfcc2741' \
--header 'X-Modaltrans-Delivery: c7d3a1e9-5b28-4f6c-9e04-1a8b3d7c5f92' \
--header 'X-Modaltrans-Event: gvms_declarations/status_changed' \
--header 'User-Agent: Modaltrans-Webhook/1.0' \
--header 'X-Api-Key: 3f9c1ab24e7d05b6c8fa1d3e9b470a52' \
--header 'Content-Type: application/json' \
--data-raw '{
  "webhookId": 12,
  "eventName": "gvms_declarations/status_changed",
  "deliveryId": "c7d3a1e9-5b28-4f6c-9e04-1a8b3d7c5f92",
  "eventKey": "3a9f5c1e-7d2b-5f4a-b8c6-2e0d9a4f7c31",
  "sentAt": "2026-10-09T10:42:17Z",
  "recordType": "gvms_declarations",
  "previousStatus": "sent",
  "status": "OPEN",
  "data": [
    {
      "transaction_id": 600321,
      "transaction_reference": "GVM2610000321",
      "status": "OPEN",
      "error_msg": null,
      "gmr": "GMRA0012ABC3",
      "direction": "UK_OUTBOUND",
      "originPortCode": "GBDVR",
      "destinationPortCode": "FRCQF",
      "ferryOperatorCode": "DFDS",
      "docDate": "2026-10-09",
      "vehicleCode": "AB12CDE",
      "trailerCode": "TR12345",
      "trailer2Code": null,
      "containerNo": null,
      "container2No": null,
      "contractType": "rented",
      "accompanying": true,
      "hasGoods": true,
      "masterDeclaration": null,
      "traderRef": "SHP-2026-0321",
      "notificationEmail": "ops@example.com",
      "notifiedTel": null,
      "customerId": 104512,
      "declarations": [
        {
          "docType": "EXPORT",
          "docNo": "6GB123456789000-SHP20260321",
          "masterRef": "26GB0000000032112"
        }
      ]
    }
  ]
}'

Responses

🟢204Accepted
Return any 2xx once you have stored the body. Process it afterwards. A 5xx, 408 or 429, a timeout after 10 seconds or a connection failure is retried once after 5 minutes. Any other status, including redirects, is not retried.
This response does not have a body.
Modified at 2026-10-09 10:51:10
Previous
ENS Declaration Status Changed
Built with